Bug 8525 - Highlight matches on details page
Summary: Highlight matches on details page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 16:08 UTC by Jared Camins-Esakov
Modified: 2013-05-23 06:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8525: highlight matches on OPAC detail page (7.06 KB, patch)
2012-07-30 21:22 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8525: highlight matches on OPAC detail page (7.08 KB, patch)
2012-08-03 13:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8525: Followup Don't reset the hz scrollbar to the top (1.38 KB, patch)
2012-08-03 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8525: highlight matches on OPAC detail page (7.14 KB, patch)
2012-08-03 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8525: Followup Don't reset the hz scrollbar to the top (1.43 KB, patch)
2012-08-03 15:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Follow up: Bug 8525: Update preference description (1.15 KB, patch)
2012-09-28 16:30 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Follow up: Bug 8525: Update preference description (1.25 KB, patch)
2012-09-29 04:33 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-07-30 16:08:25 UTC
After doing a search and going to the details page, it can sometimes be difficult to see exactly *why* a record was returned by a search. It would be very useful to highlight the matches on the details page in the same way we highlight them on the results page.
Comment 1 Jared Camins-Esakov 2012-07-30 21:22:04 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-08-03 13:35:27 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-08-03 13:42:41 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2012-08-03 15:32:51 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2012-08-03 15:33:03 UTC Comment hidden (obsolete)
Comment 6 Ian Walls 2012-08-17 17:14:07 UTC
Template only changes (except for the addition of a new template param in the perl file) to allow highlighting on the details page.  Marking as Passed QA, both primary and followup.
Comment 7 Paul Poulain 2012-09-03 08:04:22 UTC
Patch pushed.

Note that this feature has the same problem than the list one : it's diacritic sensible. It means that, if you search "jéan", you'll get result containing "jean" (as expected), but they won't be highlighted.
Comment 8 Nicole C. Engard 2012-09-28 16:30:21 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2012-09-28 16:30:50 UTC
Follow up needs sign off please.
Comment 10 Mirko Tietgen 2012-09-29 04:33:16 UTC
Created attachment 12605 [details] [review]
Follow up: Bug 8525: Update preference description

The feature in bug 8525 added highlighting to the detail
pages in the opac. This patch updates the preference to
note this change.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 11 Mirko Tietgen 2012-09-29 04:34:35 UTC
Tiny followup for preference description signed off.
Comment 12 Jared Camins-Esakov 2012-10-05 18:57:57 UTC
Note that the follow-up is a bugfix.
Comment 13 Jonathan Druart 2012-10-19 14:47:41 UTC
Change syspref description.
Last patch marked as Passed QA.
Comment 14 Paul Poulain 2012-10-22 11:39:28 UTC
follow-up pushed to master. back to ENH